# KDE kasutaja käsiraamat

&Lauri.Watts; &Lauri.Watts.mail;
07. juuni 2005
KDE töökeskkond
kdesu
1

# `kdesu`

Programmi käivitamine suuremates õigustes

    kdesu -c -d -f  fail -i  ikooni nimi -n -p  prioriteet -r -s -t -u  kasutaja --nonewdcop käsk arg1 arg2

    kdesu KDE üldised võtmed Qt üldised võtmed

## Kirjeldus

&kdesu; on &UNIX; käsu `su` graafiline kasutajaliides KDE töökeskkonnale. See võimaldab käivitada programme teise kasutaja õigustes vastava kasuaja parooli andes. &kdesu; on privileegideta programm ja kasutab süsteemi käsku `su`.

&kdesu; on siiski ühe lisavõimalusega: see võib sinu eest paroolid meelde jätta. Nii ei pruugi sul mingi käsu jaoks parooli anda enam kui üks kord.

Programmi saab käivitada käsurealt või `.desktop`-failidest.

## Võtmed

`-c programm`

  Määrab programmi, mis käivitatakse administraatori (root) õigustes. See tuleb anda ühe argumendina. Kui näiteks soovid käivitada uue failihalduri, tuleb anda käsk: ``kdesu `-c kfm -sw```.

`-d`

  Näitab silumisinfot.

`-f fail`

  See võti võimaldab &kdesu; kasutamist `.desktop`-failides. Sellega saab &kdesu; korralduse uurida faili `fail`. Kui kasutajal on sellele kirjutamisõigus, käivitab &kdesu; käsu kasutaja õigustes. Kui mitte, käivitatakse käsk kasutaja `kasutaja` õigustes (vaikimisi on selleks administraator).

  Parameetrit `fail` hinnatakse järgmiselt: kui `fail` algab märgiga `/`, võetakse seda absoluutse failinimena. Vastasel juhul võetakse seda globaalse &kde; konfiguratsioonifaili nimena. Näiteks KDE aknahalduri kdm seadistamiseks tuleb anda käsk `kdesu `-c kdmconfig -f kdmrc``.

`-i` ikooni nimi

  Määrab paroolidialoogis kasutatava ikooni. Anda tuleb lihtsalt nimi ilma laiendita.

`-n`

  Parooli ei jäeta meelde. See keelab paroolidialoogis märkekasti Parool jäetakse meelde.

`-p` prioriteet

  Määrab prioriteedi. See on suvaline arv vahemikus 0 kuni 100, kus 100 on suurim ja 0 väikseim prioriteet. Vaikeväärtus on 50.

`-r`

  Kasutatakse reaalaja planeerijat.

`-s`

  Peatab kdesu deemoni. See deemon puhverdab taustal edukdad paroolid. Selle võimaluse saab keelata ka võtmega `-n` &kdesu; käivitamisel.

`-t`

  Lubab terminaliväljundi. See keelab paroolide säilitamise. See on peamiselt mõeldud silumiseks: Kui soovid käivitada konsoolirežiimis programmi, kasuta standardset käsku `su`.

`-u` kasutaja

  Ehkki enamasti on &kdesu; mõte panna programm tööle administraatori õigustes, võib määrata ka mis tahes muu kasutaja, kui sa muidugi tead selle kasutaja parooli.

## Vaata ka

su(1)

Põhjalikumat kasutaja dokumentatsiooni pakub help:/kdesu (kirjuta see &URL; &konqueror;i või käivita käsuga ``khelpcenter` `help:/kdesu``).

## Näited

Failihalduri `kfmclient` käivitamiseks kasutajana juku ja &konqueror;i ikooni näitamiseks paroolidialoogis anna käsk:

    kdesu -u juku -i konqueror kfmclient

## Autorid

&kdesu; autorid on Geert Jansen jansen@kde.org ja Pietro Iglio iglio@fub.it